Page 3 of 6

Re: Установка на Ubuntu 18.04

Posted: Wed Oct 31, 2018 7:47 pm
by Konstantinus
Да

Re: Установка на Ubuntu 18.04

Posted: Wed Oct 31, 2018 7:49 pm
by imperio
Скиньте мне в ПМ
Завтра в рабочее время проверю.

Re: Установка на Ubuntu 18.04

Posted: Fri Nov 23, 2018 9:09 pm
by 13_Voin
Чтобы установить Vesta на Ubuntu 18.04 нужно сделать так:
1) sudo add-apt-repository universe
2) sudo apt-get install gnupg2
3) при установки скрипта нужно в конец добавить "--force". Пример: sudo bash vst-install.sh --force

Re: Установка на Ubuntu 18.04

Posted: Sun Nov 25, 2018 5:56 pm
by Konstantinus
Спасибо, завтра на "чистую" ось попробую.

Re: Установка на Ubuntu 18.04

Posted: Mon Nov 26, 2018 9:05 am
by sverger
VestaCP выбрал nginx php-fpm установилась, но в конце установки есть ошибки.

Code: Select all

Creating config file /etc/phpmyadmin/config-db.php with new version
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2).
unable to connect to mysql server.
error encountered creating user:
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (2)
dbconfig-common: phpmyadmin configure: noninteractive fail.
dbconfig-common: phpmyadmin configure: ignoring errors from here forwards
populating database via sql...  done.
dbconfig-common: flushing administrative password
Setting up php (1:7.2+60ubuntu1) ...
Setting up libmagickwand-6.q16-3:amd64 (8:6.9.7.4+dfsg-16ubuntu6.4) ...
Setting up php-gd (1:7.2+60ubuntu1) ...
Setting up rrdtool (1.7.0-1build1) ...
Setting up imagemagick-6.q16 (8:6.9.7.4+dfsg-16ubuntu6.4) ...
update-alternatives: using /usr/bin/compare-im6.q16 to provide /usr/bin/compare (compare) in auto mode
update-alternatives: using /usr/bin/compare-im6.q16 to provide /usr/bin/compare-im6 (compare-im6) in auto mode
update-alternatives: using /usr/bin/animate-im6.q16 to provide /usr/bin/animate (animate) in auto mode
update-alternatives: using /usr/bin/animate-im6.q16 to provide /usr/bin/animate-im6 (animate-im6) in auto mode
update-alternatives: using /usr/bin/convert-im6.q16 to provide /usr/bin/convert (convert) in auto mode
update-alternatives: using /usr/bin/convert-im6.q16 to provide /usr/bin/convert-im6 (convert-im6) in auto mode
update-alternatives: using /usr/bin/composite-im6.q16 to provide /usr/bin/composite (composite) in auto mode
update-alternatives: using /usr/bin/composite-im6.q16 to provide /usr/bin/composite-im6 (composite-im6) in auto mode
update-alternatives: using /usr/bin/conjure-im6.q16 to provide /usr/bin/conjure (conjure) in auto mode
update-alternatives: using /usr/bin/conjure-im6.q16 to provide /usr/bin/conjure-im6 (conjure-im6) in auto mode
update-alternatives: using /usr/bin/import-im6.q16 to provide /usr/bin/import (import) in auto mode
update-alternatives: using /usr/bin/import-im6.q16 to provide /usr/bin/import-im6 (import-im6) in auto mode
update-alternatives: using /usr/bin/identify-im6.q16 to provide /usr/bin/identify (identify) in auto mode
update-alternatives: using /usr/bin/identify-im6.q16 to provide /usr/bin/identify-im6 (identify-im6) in auto mode
update-alternatives: using /usr/bin/stream-im6.q16 to provide /usr/bin/stream (stream) in auto mode
update-alternatives: using /usr/bin/stream-im6.q16 to provide /usr/bin/stream-im6 (stream-im6) in auto mode
update-alternatives: using /usr/bin/display-im6.q16 to provide /usr/bin/display (display) in auto mode
update-alternatives: using /usr/bin/display-im6.q16 to provide /usr/bin/display-im6 (display-im6) in auto mode
update-alternatives: using /usr/bin/montage-im6.q16 to provide /usr/bin/montage (montage) in auto mode
update-alternatives: using /usr/bin/montage-im6.q16 to provide /usr/bin/montage-im6 (montage-im6) in auto mode
update-alternatives: using /usr/bin/mogrify-im6.q16 to provide /usr/bin/mogrify (mogrify) in auto mode
update-alternatives: using /usr/bin/mogrify-im6.q16 to provide /usr/bin/mogrify-im6 (mogrify-im6) in auto mode
Setting up libmagickcore-6.q16-3-extra:amd64 (8:6.9.7.4+dfsg-16ubuntu6.4) ...
Setting up imagemagick (8:6.9.7.4+dfsg-16ubuntu6.4) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for dictionaries-common (1.27.2) ...
aspell-autobuildhash: processing: en [en-common].
aspell-autobuildhash: processing: en [en-variant_0].
aspell-autobuildhash: processing: en [en-variant_1].
aspell-autobuildhash: processing: en [en-variant_2].
aspell-autobuildhash: processing: en [en-w_accents-only].
aspell-autobuildhash: processing: en [en-wo_accents-only].
aspell-autobuildhash: processing: en [en_AU-variant_0].
aspell-autobuildhash: processing: en [en_AU-variant_1].
aspell-autobuildhash: processing: en [en_AU-w_accents-only].
aspell-autobuildhash: processing: en [en_AU-wo_accents-only].
aspell-autobuildhash: processing: en [en_CA-variant_0].
aspell-autobuildhash: processing: en [en_CA-variant_1].
aspell-autobuildhash: processing: en [en_CA-w_accents-only].
aspell-autobuildhash: processing: en [en_CA-wo_accents-only].
aspell-autobuildhash: processing: en [en_GB-ise-w_accents-only].
aspell-autobuildhash: processing: en [en_GB-ise-wo_accents-only].
aspell-autobuildhash: processing: en [en_GB-ize-w_accents-only].
aspell-autobuildhash: processing: en [en_GB-ize-wo_accents-only].
aspell-autobuildhash: processing: en [en_GB-variant_0].
aspell-autobuildhash: processing: en [en_GB-variant_1].
aspell-autobuildhash: processing: en [en_US-w_accents-only].
aspell-autobuildhash: processing: en [en_US-wo_accents-only].
Processing triggers for systemd (237-3ubuntu10.9) ...
Processing triggers for php7.2-fpm (7.2.10-0ubuntu0.18.04.1) ...
invoke-rc.d: policy-rc.d denied execution of restart.
NOTICE: Not enabling PHP 7.2 FPM by default.
NOTICE: To enable PHP 7.2 FPM in Apache2 do:
NOTICE: a2enmod proxy_fcgi setenvif
NOTICE: a2enconf php7.2-fpm
NOTICE: You are seeing this message because you have apache2 package installed.
2018-11-26 08:36:48 [WARNING] mysql_install_db is deprecated. Please consider switching to mysqld --initialize
2018-11-26 08:36:48 [ERROR]   The data directory needs to be specified.
mkdir: cannot create directory '/var/lib/mysql': File exists
2018-11-26T08:36:48.314506Z 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2018-11-26T08:36:48.316657Z 0 [ERROR] --initialize specified but the data directory has files in it. Aborting.
2018-11-26T08:36:48.316709Z 0 [ERROR] Aborting

mysqladmin: [Warning] Using a password on the command line interface can be insecure.
Warning: Since password will be sent to server in plain text, use ssl connection to ensure password safety.
ERROR 1054 (42S22) at line 1: Unknown column 'password' in 'where clause'
Adding user Debian-exim to group mail
mv: cannot move '/usr/local/vesta/data/ips/' to a subdirectory of itself, '/usr/local/vesta/data/ips/XX.XXX.XX.XXX'
sed: -e expression #1, char 0: no previous regular expression
sed: -e expression #1, char 0: no previous regular expression
chown: invalid user: 'dovecot:mail'

Re: Установка на Ubuntu 18.04

Posted: Mon Nov 26, 2018 12:35 pm
by imperio

Code: Select all

mysqladmin: [Warning] Using a password on the command line interface can be insecure.
Warning: Since password will be sent to server in plain text, use ssl connection to ensure password safety.
ERROR 1054 (42S22) at line 1: Unknown column 'password' in 'where clause'
Adding user Debian-exim to group mail
mv: cannot move '/usr/local/vesta/data/ips/' to a subdirectory of itself, '/usr/local/vesta/data/ips/XX.XXX.XX.XXX'
sed: -e expression #1, char 0: no previous regular expression
sed: -e expression #1, char 0: no previous regular expression
chown: invalid user: 'dovecot:mail'
Последние ошибки, указанные выше не воспроизводятся

Re: Установка на Ubuntu 18.04

Posted: Mon Nov 26, 2018 1:26 pm
by sverger
imperio wrote:
Mon Nov 26, 2018 12:35 pm
Последние ошибки, указанные выше не воспроизводятся
может еще раз и попробовать переустановить?

Re: Установка на Ubuntu 18.04

Posted: Mon Nov 26, 2018 1:52 pm
by imperio
Вам или мне ?

Re: Установка на Ubuntu 18.04

Posted: Mon Nov 26, 2018 2:01 pm
by sverger
imperio wrote:
Mon Nov 26, 2018 1:52 pm
Вам или мне ?
мне))) но лучше было бы Вам предоставить доступ в случае повторных ошибок.

Re: Установка на Ubuntu 18.04

Posted: Mon Nov 26, 2018 2:15 pm
by imperio
Если повторится на 23 версии - скиньте доступ к чистому серверу без панели.